#include <iostream>
using namespace std;
int main()
{
    int p,n,x;
    cin>>n>>x;
    int a[n];
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    for(int i=0;i<n-1;i++){
        for(int j=i+1;j<n;j++){
            if(a[i]>a[j]){
                int max=a[i];
                a[i]=a[j];
                a[j]=max;
            }
        }
    }
    if(a[0]<x && a[n-1]<x){
        p=x-a[0];
    }
    else if(a[0]>x && a[n-1]>x){
        p=a[n-1]-x;
    }
    else if(a[0]<x && a[n-1]>x){
        p=x+a[n-1]-2*a[0];
    }
    cout<<p;
    return 0;
}